Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046771 - [RFE][ceilometer]: Synchronization API
Summary: [RFE][ceilometer]: Synchronization API
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/ceil...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 23:05 UTC by RHOS Integration
Modified: 2016-07-16 04:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:43:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2013-12-26 23:05:56 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/ceilometer/+spec/sync-api.

Description:

The idea behind this blueprint is to be able to retrieve all samples (or events) from Ceilometer to sync up with it.


The current design idea is the following:

1. Add a stored_at attribute on the samples/events that indicates when it was INSERTed in the database. This will also be useful to compare the generation timestamp with the insertion timestamp to have some performance metric about Ceilometer.
The purpose of this field will also to be used as a (non-unique) sequence indicator.

2. Add an API request that allows to request all events/samples with stored_at>=<timestamp>.

(3. We also could envision to not close the HTTP socket and stream events are they are inserted in the database)

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.